Subject: Re: [mobile-ip] issues 92, 94, 95 and text for sending BAs with RH

From: Samita Chakrabarti <[email-masked]>
Date: Mon, 19 Aug 2002 15:36:32 -0700 (PDT)

> > 
> > ... and the binding update packet is dropped.
> > (please add this for clarification). 
> 
> => ... the Binding Update MUST be silently discarded, and the Binding
> Acknowledgement MUST NOT be sent.
> 

Ok. Thanks.

> 
> >    Furthermore, if the packet
> >    is to be sent to the mobile node at any address other than the mobile
> >    node's home address, it MUST be sent using a Routing header (even if
> >    the binding was rejected).  
>  >
>  > So, I think the third paragraph is incorrect and unnecessary in section 
9.4.4.
> 
> This was a part of the old text that the new text is expected to replace.
> So, we need to keep this part of the old text... just that it could perhaps
> be more exact so that it would say exactly when are we not sending to the home
> address and what type of RH to use. Feel free to propose text ;-)
> 

Well, I think the above old text is good to keep. But the line after this text
needs to change. I'd leave it to the editor :-)

> > 
> > For section 10.2, situation is a little different that BU may not contain a
> > HAO ( as per 6.1.7), but even in that case your first and second paragraph
> > are okay. The third paragraph should write the following:
> 
> According to Brian, all BUs contain a HAO.
> 

If so, then we have to make sure that we don't have any inconsistency in any
other places in the draft. For example, Section 6.1.7 says:

A Binding Update to the home agent MUST include the Home Address
   destination option if the Source Address field in the IPv6 header is
   not the home address of the mobile node.

If we decide BU MUST always contain HAO, then the above text will have to
change. I thought, BU MUST contain HA0 for Route Optimization BU, but is
not necessary for home agent registration while back at home.

If making HAO mandatory for all BUs makes the code and the protocol less
complex, I am all for it.

> >   ( as discussed and agreed at Cthon2002, Brian H. already mentioned) 
> >   
> >   If the Source Address field in the IPv6 header of the Binding Update is
> >   equal to the home address of mobile node, then it indicates that the
> >   mobile node is back at home. In this case, Binding Acknowledgement does
> >   (MUST?) not include Type 2 Routing Header.
> 
> Couldn't we use this text in both 9.4.4 and 10.2?
> 

I don't see a problem in using it for both cases.

> >>And for 10.2:
> >>
> >>   The acknowledgement is sent to the Source Address of the IPv6 header
> >>   that carried the Binding Update. Note that this procedure is
> >>   independent from the treatment of regular packets and does not use
> >>   information from the Binding Cache.
> >>
> >>   If the Source Address field does not contain a unicast address, the
> > 
> >                                               ^^^^^^^^^^^^^^^^^
> >   Unicast address alone is not enough. Did you mean to say site-local and
> >   global unicast address ?
> 
> 
> Global unicast addresses are obviously allowed. I think link-locals can also
> be used for dereg to the HA. And, wouldn't it be bad if made it illegal
> to use MIPv6 within a site that uses only site-local addresses? So that
> was the justification for allowing all unicast addresses. However, on
> second look this covers also NSAP addresss, the unspecified address etc.
> So perhaps we should stick with "link-local, site-local, or global unicast
> addresses".
> 

Ok with me.

Thanks,
-Samita